library(questionr)
library(epitools)

motivation_experience <- matrix(c(20, 5, 43, 60), nrow = 2)

altruism_experience <- matrix(c(20, 5, 43, 60), nrow = 2)
altruism_experience
rownames(altruism_experience) <- c("experienced", "novice")
colnames(altruism_experience) <- c("yes", "no")
oddsratio.wald(altruism_experience)

altruism_age <- matrix(c(32, 18, 80, 95), nrow = 2)
rownames(altruism_age) <- c("Old", "Young")
colnames(altruism_age) <- c("yes", "no")
oddsratio.wald(altruism_age)

altruism_gender <- matrix(c(46, 4, 150, 14), nrow = 2)
rownames(altruism_gender) <- c("man", "woman")
colnames(altruism_gender) <- c("yes", "no")
oddsratio.wald(altruism_gender)

altruism_role <- matrix(c(39, 15, 154, 30), nrow = 2)
altruism_role
rownames(altruism_role) <- c("coder", "non-coder")
colnames(altruism_role) <- c("yes", "no")
oddsratio.wald(altruism_role)

career_role <- matrix(c(15, 2, 178, 43), nrow = 2)
career_role
rownames(career_role) <- c("coder", "non-coder")
colnames(career_role) <- c("yes", "no")
oddsratio.wald(career_role)

career_age <- matrix(c(6, 10, 106, 103), nrow = 2)
rownames(career_age) = c("old", "young")
colnames(career_age) <- c("yes", "no")
oddsratio.wald(career_age)

career_experience <- matrix(c(1, 11, 62, 54), nrow = 2)
rownames(career_experience) = c("experienced", "novice")
colnames(career_experience) <- c("yes", "no")
oddsratio.wald(career_experience)

enjoy_experience <- matrix(c(9, 19, 54, 46), nrow = 2)
rownames(enjoy_experience) = c("experienced", "novice")
colnames(enjoy_experience) <- c("yes", "no")
oddsratio.wald(enjoy_experience)

enjoy_gender <- matrix(c(40, 1, 156, 17), nrow = 2)
rownames(enjoy_gender) = c("man", "woman")
colnames(enjoy_gender) <- c("yes", "no")
oddsratio.wald(enjoy_gender)

enjoy_role <- matrix(c(43, 3, 150, 42), nrow = 2)
rownames(enjoy_role) = c("coder", "non-coder")
colnames(enjoy_role) <- c("yes", "no")
oddsratio.wald(enjoy_role)

gift_role <- matrix(c(30, 9, 163, 36), nrow = 2)
rownames(gift_role) = c("coder", "non-coder")
colnames(gift_role) <- c("yes", "no")
oddsratio.wald(gift_role)

gift_gender <- matrix(c(29, 7, 167, 11), nrow = 2)
rownames(gift_gender) = c("man", "woman")
colnames(gift_gender) <- c("yes", "no")
oddsratio.wald(gift_gender)

gift_age <- matrix(c(16, 21, 96, 92), nrow = 2)
rownames(gift_age) = c("old", "young")
colnames(gift_age) <- c("yes", "no")
oddsratio.wald(gift_age)

gift_experience <- matrix(c(11, 11, 52, 54), nrow = 2)
rownames(gift_experience) = c("experienced", "novice")
colnames(gift_experience) <- c("yes", "no")
oddsratio.wald(gift_experience)

ideology_experience <- matrix(c(8, 2, 55, 63), nrow = 2)
rownames(ideology_experience) = c("experienced", "novice")
colnames(ideology_experience) <- c("yes", "no")
oddsratio.wald(ideology_experience)

ideology_age <- matrix(c(10, 9, 102, 104), nrow = 2)
rownames(ideology_age) = c("old", "young")
colnames(ideology_age) <- c("yes", "no")
oddsratio.wald(ideology_age)

ideology_gender <- matrix(c(14, 1, 182, 17), nrow = 2)
rownames(ideology_gender) = c("man", "woman")
colnames(ideology_gender) <- c("yes", "no")
oddsratio.wald(ideology_gender)

ideology_role <- matrix(c(13, 7, 180, 38), nrow = 2)
rownames(ideology_role) = c("coder", "non-coder")
colnames(ideology_role) <- c("yes", "no")
oddsratio.wald(ideology_role)

kinship_role <- matrix(c(13, 3, 180, 42), nrow = 2)
rownames(kinship_role) = c("coder", "non-coder")
colnames(kinship_role) <- c("yes", "no")
oddsratio.wald(kinship_role)

kinship_gender <- matrix(c(13, 2, 183, 16), nrow = 2)
rownames(kinship_gender) = c("man", "woman")
colnames(kinship_gender) <- c("yes", "no")
oddsratio.wald(kinship_gender)

kinship_age <- matrix(c(7, 9, 105, 104), nrow = 2)
rownames(kinship_age) = c("old", "young")
colnames(kinship_age) <- c("yes", "no")
oddsratio.wald(kinship_age)

kinship_experience <- matrix(c(4, 7, 59, 58), nrow = 2)
rownames(kinship_experience) = c("experienced", "novice")
colnames(kinship_experience) <- c("yes", "no")
oddsratio.wald(kinship_experience)

learning_experience <- matrix(c(5, 21, 58, 44), nrow = 2)
rownames(learning_experience) = c("experienced", "novice")
colnames(learning_experience) <- c("yes", "no")
oddsratio.wald(learning_experience)

learning_age <- matrix(c(12, 29, 100, 84), nrow = 2)
rownames(learning_age) = c("old", "young")
colnames(learning_age) <- c("yes", "no")
oddsratio.wald(learning_age)

learning_gender <- matrix(c(37, 3, 159, 15), nrow = 2)
rownames(learning_gender) = c("man", "woman")
colnames(learning_gender) <- c("yes", "no")
oddsratio.wald(learning_gender)

learning_role <- matrix(c(37, 8, 156, 37), nrow = 2)
rownames(learning_role) = c("coder", "non-coder")
colnames(learning_role) <- c("yes", "no")
oddsratio.wald(learning_role)

own_role <- matrix(c(39, 6, 154, 39), nrow = 2)
rownames(own_role) = c("coder", "non-coder")
colnames(own_role) <- c("yes", "no")
oddsratio.wald(own_role)

own_gender <- matrix(c(40, 1, 156, 17), nrow = 2)
rownames(own_gender) = c("man", "woman")
colnames(own_gender) <- c("yes", "no")
oddsratio.wald(own_gender)

own_age <- matrix(c(17, 25, 95, 88), nrow = 2)
rownames(own_age) = c("old", "young")
colnames(own_age) <- c("yes", "no")
oddsratio.wald(own_age)

own_experience <- matrix(c(10, 11, 53, 54), nrow = 2)
rownames(own_experience) = c("experienced", "novice")
colnames(own_experience) <- c("yes", "no")
oddsratio.wald(own_experience)

pay_experience <- matrix(c(16, 4, 47, 61), nrow = 2)
rownames(pay_experience) = c("experienced", "novice")
colnames(pay_experience) <- c("yes", "no")
oddsratio.wald(pay_experience)

pay_age <- matrix(c(24, 7, 88, 106), nrow = 2)
rownames(pay_age) = c("old", "young")
colnames(pay_age) <- c("yes", "no")
oddsratio.wald(pay_age)

pay_gender <- matrix(c(26, 2, 170, 16), nrow = 2)
rownames(pay_gender) = c("man", "woman")
colnames(pay_gender) <- c("yes", "no")
oddsratio.wald(pay_gender)

pay_role <- matrix(c(28, 6, 165, 39), nrow = 2)
rownames(pay_role) = c("coder", "non-coder")
colnames(pay_role) <- c("yes", "no")
oddsratio.wald(pay_role)

reputation_role <- matrix(c(16, 4, 177, 41), nrow = 2)
rownames(reputation_role) = c("coder", "non-coder")
colnames(reputation_role) <- c("yes", "no")
oddsratio.wald(reputation_role)

reputation_gender <- matrix(c(16, 1, 180, 17), nrow = 2)
rownames(reputation_gender) = c("man", "woman")
colnames(reputation_gender) <- c("yes", "no")
oddsratio.wald(reputation_gender)

reputation_age <- matrix(c(8, 9, 104, 104), nrow = 2)
rownames(reputation_age) = c("old", "young")
colnames(reputation_age) <- c("yes", "no")
oddsratio.wald(reputation_age)

reputation_experience <- matrix(c(3, 6, 60, 59), nrow = 2)
rownames(reputation_experience) = c("experienced", "novice")
colnames(reputation_experience) <- c("yes", "no")
oddsratio.wald(reputation_experience)
